/* color tweak */
.inverse {
  background-color: #272822;
  color: #FFCD00;
  text-shadow: 0 0 20px #333;
}

/* slightly spacing change */
.inverse h1, .inverse h2, .inverse h3 {
  color: #FFCD00;
  line-height: 1.0em;
}

/*Hide the page number in the title*/

.title-slide .remark-slide-number {
  display: none;
}



/*Colorful letters */

.red {color: #BD472A;}

.golden{color: #FFCD00;}

.green{color: #00664F;}
.greenLight{color: #00AF66;}

.orange{color: #FF8200}

.navy{color: #00558C;}

.blue{color: #00A9E0;}

.gray{color: #63666A;}
.grayLight{color: #BBBCBC;}

/*Colorful links*/

/* unvisited link */
a:link {
  color: green;
}

/* visited link */
a:visited {
  color: orange;
}

/* mouse over link */
a:hover {
  color: #FFCD00; /*golden*/
}

/* selected link */
a:active {
  color: blue;
}

/*Customize letter size*/

.remark-slide-content {
    font-size: 30px;
    padding: 1em 4em 1em 4em;
} /*Setting the font size as large across slides*/

h1 {
  font-weight: bold;
  /*color: #FFCD00; golden*/
}

h2{
  /*color: #00664F; green*/
  font-size: 35px !important;
  font-weight: bold;
}

h3 {
  /*color: #00AF66; greenLight*/
  font-size: 30px !important;
  font-weight: bold;
}

.inverse h1{
  font-size: 200%;
}

.inverse h2{
  font-size: 150%;
}


.Huge {font-size: 120px; }
.huge {font-size: 90px; }
.Large { font-size: 60px; }
.large { font-size: 50px; }
.Small { font-size: 25px; }
.small { font-size: 20px; }
.Tiny{ font-size: 15px; }
.tiny{ font-size: 10px; }


.footnote {
  position: absolute;
  bottom: 1em;
  padding-right: 4em;
  font-size: 80%;
}

img, video, iframe {
  max-width: 100%;
}
blockquote {
  border-left: solid 5px lightgray;
  padding-left: 1em;
}
.remark-slide table {
  margin: auto;
  border-top: 1px solid #666;
  border-bottom: 1px solid #666;
}
.remark-slide table thead th { border-bottom: 1px solid #ddd; }
th, td { padding: 5px; }
.remark-slide thead, .remark-slide tfoot, .remark-slide tr:nth-child(even) { background: #eee }

@page { margin: 0; }
@media print {
  .remark-slide-scaler {
    width: 100% !important;
    height: 100% !important;
    transform: scale(1) !important;
    top: 0 !important;
    left: 0 !important;
  }
}


/*Table format*/

table {
  margin: auto;
  border-top: 1px solid #666;
  border-bottom: 1px solid #666;
}
table thead th { border-bottom: 1px solid #ddd; }
th, td { padding: 5px; }
tr:nth-child(even) { background: #eee }

/*progress bar*/

.remark-slide-number {
  /*position: inherit;*/ /*For progress bar*/

  /*Default setting; delete if using progress bar*/
  margin-bottom: -11.6px;
  margin-right: 10px;
}

.remark-slide-number .progress-bar-container {
  position: absolute;
  bottom: 0;
  height: 10px;
  display: block;
  left: 0;
  right: 0;
}

.remark-slide-number .progress-bar {
  height: 100%;
  background-color: red;
}

/* Title slide */

/* Add image and change bg color */
.title-slide {
/*  background-image: url(https://github.com/sammo3182/usefulNotes/raw/master/logo_THPS.png);*/
  background-image: url(https://gitlab.com/sammo3182/backup/raw/f8a6bcc77a63902f73aafdd2352c57c9a53037d8/logo_THPS.png?inline=true);
  background-position: 9% 15%;
  background-size: 250px;
  background-color: #fff;
  padding-left: 100px;  /* delete this for 4:3 aspect ratio */
}

/* H1 fonts in title */
.title-slide h1 {
  color: #515151;
  padding-top: 250px;
  font-weight: normal;
  font-size: 45px;
  text-align: left;
  text-shadow: none;
  padding-bottom: 18px;
  margin-bottom: 18px;
}

/* H2 fonts in title */
.title-slide h2 {
  color: #BD472A;
  font-size: 35px;
  text-align: left;
  text-shadow: none;
  padding-top: 0px;
  margin-top: 0px;
}

/* H3 fonts in title */
.title-slide h3 {
  font-size: 28px;
  font-weight: normal;
  color: #666666;
  text-align: left;
  text-shadow: none;
  padding: 0px;
  margin: 0px;
  line-height: 1;
}

/*block scroll*/

pre {
  overflow-x: auto;
  overflow-y: auto;
  max-height: 300px;
}
pre code {
  word-wrap: normal;
  white-space: pre;
}

/*fraction*/

.fraction, .ftop, .fbottom {
    padding: 0 5px;
}

.fraction {
    display: inline-block;
    text-align: center;
}

.fbottom{
    border-top: 1px solid #000;
    display: block;
}
